Bug 499648 - F-11 Xen 64-bit domU cannot crashdump
F-11 Xen 64-bit domU cannot crashdump
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Andrew Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget 523132
  Show dependency treegraph
 
Reported: 2009-05-07 10:44 EDT by Chris Lalancette
Modified: 2010-11-22 12:53 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 523132 (view as bug list)
Environment:
Last Closed: 2010-11-22 12:53:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Lalancette 2009-05-07 10:44:21 EDT
Description of problem:
I'm following the test case here: https://fedoraproject.org/wiki/QA:Testcase_Virtualization_XenDomU_Crash_dump

While trying to make the F-11 Xen domU take a crashdump using:

# echo c > /proc/sysrq-trigger

all I get is a message on the console like:

SysRq : Trigger a crashdump

Looking at dmesg, I also see this:
Kexec: Warning: crash image not loaded

However, for a Xen domU, we don't need a kexec crash image loaded; we just have to inform the hypervisor that we are crashing, and the dom0 will take an image of memory for us.
Comment 1 Chris Lalancette 2009-05-08 11:19:09 EDT
Miroslav,
     If you have time to look at this, this would be a good bug to fix in upstream and then port into Fedora.  The ability to crash dump is very important for debugging future issues.

Chris Lalancette
Comment 2 Bug Zapper 2009-06-09 11:20:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 10:11:40 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Andrew Jones 2010-11-22 12:53:34 EST
F11 hit EOL 6 months ago and this issue should be resolved now anyway. Closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.